## apertium-apy 0.1.0~r61425

=== Makefile ===
langNames.db: tools/apertiumlangs.sql
	@if test -f unicode.db; then echo "WARNING: unicode.db now called langNames.db"; fi
	rm -f $@
	<$< sqlite3 $@

clean:
	rm -f langNames.db

=== debian/changelog ===
apertium-apy (0.1.0~r61425-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/copyright:
    + Added license for toro.py
  * debian/control:
    + Relaxed dependencies.

 -- Kartik Mistry <kartik@debian.org>  Fri, 14 Aug 2015 11:29:41 +0530

apertium-apy (0.1.0~r61159-1) unstable; urgency=low

  * Initial release (Closes: #769063)

 -- Kartik Mistry <kartik@debian.org>  Fri, 17 Jul 2015 13:36:44 -0500

=== debian/control ===
Source: apertium-apy
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kartik Mistry <kartik@debian.org>,
           Tino Didriksen <mail@tinodidriksen.com>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python3-dev, sqlite3
Standards-Version: 3.9.6
Homepage: http://apertium.org
Vcs-Git: git://anonscm.debian.org/debian-science/packages/apertium-apy.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium-apy.git

Package: apertium-apy
Architecture: any
Depends: adduser,
         apertium (>= 3.4),
         apertium-lex-tools,
         libxml2-dev,
         libxslt-dev,
         logrotate,
         python-toro,
         python3-dev,
         python3-lxml,
         python3-pip,
         python3-tornado (>= 3.1),
         zlib1g-dev,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Apertium APY service
 This package contains Apertium APY which is simple Apertium
 API written in Python 3 meant as a drop-in replacement for
 ScaleMT.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3

=== debian/watch ===
# apertium-apy is only available in SVN right now.

## apertium-apy 0.9.1~r343

=== debian/changelog ===
apertium-apy (0.9.1~r343-4) unstable; urgency=low

  * debian/control:
    + Updated URLs.
    + Updated Standards-Version to 4.1.3
  * Bumped dh to 11.
  * debian/rules:
    + Removed old comments.
  * debian/copyright:
    + http->https.
  * debian/apertium-apy.postinst:
    + Use non-recursive chown.

 -- Kartik Mistry <kartik@debian.org>  Sat, 10 Feb 2018 12:25:11 +0530

apertium-apy (0.9.1~r343-3) unstable; urgency=low

  * Remove upstart config file.
  * debian/control:
    + Removed unneeded ${shlibs:Depends} from Depends.
    + Updated to Standards-Version 4.0.0

 -- Kartik Mistry <kartik@debian.org>  Sat, 12 Aug 2017 19:56:34 +0530

apertium-apy (0.9.1~r343-2) unstable; urgency=low

  * debian/control:
    + Depends on lsb-base (>= 3.0-6).

 -- Kartik Mistry <kartik@debian.org>  Sat, 10 Dec 2016 19:11:19 +0530

apertium-apy (0.9.1~r343-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release
  * debian/control:
    + Fixed Depends field.
    + arch set to 'all'. We don't really compile.
    + Updated Standards-Version to 3.9.8
  [ Kartik Mistry ]
  * debian/control:
    + Fixed Vcs-Git URL.
    + Updated Build-Dep for arch:all.

 -- Kartik Mistry <kartik@debian.org>  Sat, 11 Jun 2016 13:05:23 +0530

=== debian/control ===
Source: apertium-apy
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kartik Mistry <kartik@debian.org>,
           Tino Didriksen <tino@didriksen.cc>
Build-Depends: debhelper (>= 11),
               dpkg-dev (>= 1.16.1~),
               python3 (>= 3.2),
               sqlite3
Standards-Version: 4.1.3
Homepage: https://apertium.org
Vcs-Git: https://salsa.debian.org/science-team/apertium-apy
Vcs-Browser: https://salsa.debian.org/science-team/apertium-apy.git

Package: apertium-apy
Architecture: all
Depends: adduser,
         logrotate,
         lsb-base (>= 3.0-6),
         python3 (>= 3.2),
         python3-lxml,
         python3-pip,
         python3-tornado (>= 3.1),
         ${misc:Depends},
         ${python3:Depends},
Description: Apertium APY service
 This package contains Apertium APY which is simple Apertium
 API written in Python 3 meant as a drop-in replacement for
 ScaleMT.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3

## apertium-apy 0.11.3

=== requirements.txt ===
apertium-streamparser==5.0.0
certifi==2018.1.18
chardet==3.0.4
idna==2.6
requests==2.18.4
tornado==4.2.1
urllib3==1.22

=== debian/changelog ===
apertium-apy (0.11.3-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.
    + APy now installs /usr/bin/apertium-apy, so make use of that in services
  * debian/control:
    + Fixed Vcs-* URLs.
    + Added missing Build-Depends on dh-python (Closes: #896719)
    + Reduced dh from 11 to 9.
    + Updated Standards-Version to 4.1.4
  * Updated debian/Watch file for new upstream home

 -- Kartik Mistry <kartik@debian.org>  Thu, 10 May 2018 11:54:25 +0530

=== debian/control ===
Source: apertium-apy
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kartik Mistry <kartik@debian.org>,
           Tino Didriksen <tino@didriksen.cc>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3 (>= 3.4),
               python3-chardet,
               python3-coverage,
               python3-pkg-resources,
               python3-requests,
               python3-setuptools,
               python3-streamparser,
               python3-tornado,
               sqlite3
Standards-Version: 4.1.4
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-apy.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-apy

Package: apertium-apy
Architecture: all
Depends: adduser,
         logrotate,
         python3 (>= 3.4),
         python3-pkg-resources,
         python3-tornado (>= 4.2),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-chardet, python3-requests, python3-streamparser
Description: Apertium APY service
 This package contains Apertium APY which is simple Apertium
 API written in Python 3 meant as a drop-in replacement for
 ScaleMT.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export LC_ALL=C.UTF-8

export PYBUILD_NAME=apertium-apy
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
#	mkdir $(CURDIR)/testbin && \
#	ln -s /usr/bin/python3-coverage $(CURDIR)/testbin/coverage && \
#	export PATH="$(PATH):$(CURDIR)/testbin" && \
#	dh_auto_test

## apertium-apy 0.11.4

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 requests==2.18.4
 tornado==4.2.1
 urllib3==1.22
+commentjson==0.7.1

=== debian/changelog ===
apertium-apy (0.11.4-2) unstable; urgency=low

  * debian/apertium-apy.service:
    + Apertium-apy require UTF-8 locale to be available to work properly.
  * debian/apertium-apy.1:
    + Added manpage.

 -- Kartik Mistry <kartik@debian.org>  Thu, 08 Nov 2018 11:39:18 +0530

apertium-apy (0.11.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bumped dh to 11.
    + Updated Standards-Version to 4.2.1
    + Updated Depends.
  * debian/rules, debian/docs:
    + Install docs properly and remove extra license file.

 -- Kartik Mistry <kartik@debian.org>  Mon, 01 Oct 2018 17:25:22 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tino Didriksen <tino@didriksen.cc>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3 (>= 3.4),
                python3-chardet,
@@ -15,7 +15,7 @@
                python3-streamparser,
                python3-tornado,
                sqlite3
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-apy.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-apy
@@ -28,8 +28,7 @@
          python3-pkg-resources,
          python3-tornado (>= 4.2),
          ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
+         ${python3:Depends}
 Recommends: python3-chardet, python3-requests, python3-streamparser
 Description: Apertium APY service
  This package contains Apertium APY which is simple Apertium

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/apertium-apy-$1\.tar\.gz/ \
  https://github.com/apertium/apertium-apy/tags .*/v?(\d\S+)\.tar\.gz

## apertium-apy 0.11.5

=== Makefile ===
langNames.db: language_names/scraped.sql language_names/scraped-sil.sql language_names/manual.sql language_names/variants.sql
	@if test -f unicode.db; then echo "WARNING: unicode.db now called langNames.db"; fi
	rm -f $@
	cat $^ | sqlite3 $@

dist: langNames.db
	python3 setup.py sdist

release: langNames.db
	python3 setup.py sdist bdist_wheel upload --sign

test-release: langNames.db
	python3 setup.py sdist bdist_wheel upload --repository https://test.pypi.org/legacy/ --sign

test:
	flake8 *.py apertium_apy/ language_names/ tests/
	mypy --config-file mypy.ini **/*.py
	python3 -m unittest tests/test*.py
	coverage combine
	coverage report --fail-under 40

clean:
	rm -f langNames.db

distclean: clean
	rm -rf dist/ build/ *.egg-info/ .mypy_cache/ .coverage

=== debian/changelog ===
apertium-apy (0.11.5-1) unstable; urgency=low

  * New upstream release.
  * debian/gitlab-ci.yml:
    + Added salsa pipeline config.
  * debian/control:
    + Updated Standards-Version to 4.4.0
    + Added Pre-Depends field.
  * Bumped dh to 12.

 -- Kartik Mistry <kartik@debian.org>  Tue, 24 Sep 2019 16:12:18 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tino Didriksen <tino@didriksen.cc>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python3 (>= 3.4),
                python3-chardet,
@@ -15,13 +15,14 @@
                python3-streamparser,
                python3-tornado,
                sqlite3
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-apy.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-apy
 
 Package: apertium-apy
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          logrotate,
          python3 (>= 3.4),

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,25 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
+	#Disable broken tests as of now
 #	mkdir $(CURDIR)/testbin && \
 #	ln -s /usr/bin/python3-coverage $(CURDIR)/testbin/coverage && \
 #	export PATH="$(PATH):$(CURDIR)/testbin" && \
 #	dh_auto_test
+
+override_dh_auto_install:
+	dh_auto_install
+	#Remove extra license file
+	rm -f $(CURDIR)/debian/apertium-apy/usr/share/apertium-apy/COPYING
+	#Remove docs outside usr/share/doc and install them properly
+	rm -f $(CURDIR)/debian/apertium-apy/usr/share/apertium-apy/README.md
+	rm -f $(CURDIR)/debian/apertium-apy/usr/share/apertium-apy/tools/systemd/README
+
+override_dh_installdocs:
+	dh_installdocs
+	#Rename properly
+	mv $(CURDIR)/debian/apertium-apy/usr/share/doc/apertium-apy/README \
+	   $(CURDIR)/debian/apertium-apy/usr/share/doc/apertium-apy/README.systemd
+
+override_dh_installman:
+	dh_installman debian/apertium-apy.1

## apertium-apy 0.11.6

=== debian/changelog ===
apertium-apy (0.11.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control:
    + Set debhelper-compat version in Build-Depends.
  * Added debian/upstream/metadata.

  [ Kartik Mistry ]
  * New upstream release (Closes: #963324)
  * debian/control:
    + Updated Standards-Version to 4.5.0
    + Updated Maintainer email address.
    + dh to 13.
    + Added 'Rules-Requires-Root' field.
  * Removed debian/apertium-apy.1. Already in upstream.

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Jul 2020 13:45:06 +0530

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: apertium-apy
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tino Didriksen <tino@didriksen.cc>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3 (>= 3.4),
                python3-chardet,
@@ -15,10 +15,11 @@
                python3-streamparser,
                python3-tornado,
                sqlite3
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-apy.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-apy
+Rules-Requires-Root: no
 
 Package: apertium-apy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,4 @@
 	   $(CURDIR)/debian/apertium-apy/usr/share/doc/apertium-apy/README.systemd
 
 override_dh_installman:
-	dh_installman debian/apertium-apy.1
+	dh_installman apertium-apy.1

## apertium-apy 0.11.7

=== Makefile ===
langNames.db: language_names/scraped-cldr.tsv language_names/scraped-sil.tsv language_names/manual-fixes.tsv language_names/manual-additions.tsv language_names/variants.tsv
	language_names/build_db.py $@ $^
	@if test -f unicode.db; then echo "WARNING: unicode.db now called langNames.db"; fi

dist: langNames.db
	python3 setup.py sdist

release: langNames.db
	python3 setup.py sdist bdist_wheel
	twine upload --sign dist/*

test-release: langNames.db
	python3 setup.py sdist bdist_wheel
	twine upload --sign --repository-url https://test.pypi.org/legacy/ dist/*

test:
	flake8 *.py apertium_apy/ language_names/ tests/
	LC_ALL=C find language_names/*.tsv -exec sh -c 'tail -n +2 {} | sort -c' \;
	mypy --config-file mypy.ini **/*.py
	python3 -m unittest tests/test*.py
	coverage combine
	coverage report --fail-under 40

clean:
	rm -f langNames.db

distclean: clean
	rm -rf dist/ build/ *.egg-info/ .mypy_cache/ .coverage

=== debian/changelog ===
apertium-apy (0.11.7-4) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Remove dependency on python3-pkg-resources (Closes: #1083302)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 18:57:24 +0100

apertium-apy (0.11.7-3) unstable; urgency=low

  [ Kartik Mistry ]
  * Acknowledge NMU.
  * Updated Standards-Version to 4.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3.
    + apertium-apy: Drop versioned constraint on python3 in Depends.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Nov 2022 18:26:11 +0530

apertium-apy (0.11.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:51:48 +0200

apertium-apy (0.11.7-2) unstable; urgency=high

  * Upload to unstable. 0.11.6 is broken due to dependency on python3-tornado.

 -- Kartik Mistry <kartik@debian.org>  Thu, 01 Jul 2021 13:24:15 +0530

apertium-apy (0.11.7-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release:
    + Fixes the processing pipes yielding out-of-order results.
  * debian/control:
    + Updated Standards-Version to 4.5.1
    + Bumped Build-Depends and Depends for Python3 and Python3-tornado
    + Updated debian/upstream/metadata.

  [ Kartik Mistry ]
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Fri, 09 Apr 2021 20:16:31 +0530

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tino Didriksen <tino@didriksen.cc>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3 (>= 3.4),
+               dh-sequence-python3,
+               python3,
                python3-chardet,
                python3-coverage,
-               python3-pkg-resources,
                python3-requests,
                python3-setuptools,
                python3-streamparser,
                python3-tornado,
                sqlite3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-apy.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-apy
@@ -26,9 +25,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          logrotate,
-         python3 (>= 3.4),
-         python3-pkg-resources,
-         python3-tornado (>= 4.2),
+         python3,
+         python3-tornado,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-chardet, python3-requests, python3-streamparser

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export PYBUILD_NAME=apertium-apy
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	#Disable broken tests as of now
@@ -30,3 +30,6 @@
 
 override_dh_installman:
 	dh_installman apertium-apy.1
+
+override_dh_missing:
+	dh_missing --fail-missing

## apertium-apy 0.13.0

=== Makefile ===
--- 
+++ 
@@ -13,13 +13,21 @@
 	python3 setup.py sdist bdist_wheel
 	twine upload --sign --repository-url https://test.pypi.org/legacy/ dist/*
 
-test:
+unit-test:
+	python3 -m unittest tests/test*.py
+
+lint:
 	flake8 *.py apertium_apy/ language_names/ tests/
-	LC_ALL=C find language_names/*.tsv -exec sh -c 'tail -n +2 {} | sort -c' \;
+	LC_ALL=C find language_names/*.tsv -print0 | xargs -0r -I X sh -c 'tail -n +2 X | sort -c'
 	mypy --config-file mypy.ini **/*.py
-	python3 -m unittest tests/test*.py
+
+test: unit-test lint
+
+coverage:
+	coverage run -m unittest tests/test*.py
 	coverage combine
 	coverage report --fail-under 40
+	ls .coverage
 
 clean:
 	rm -f langNames.db

=== debian/changelog ===
apertium-apy (0.13.0-1) unstable; urgency=medium

  * Update to latest upstream release
  * debian/control:
    + Updated Standards-Version to 4.7.2

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 25 Mar 2025 16:09:21 +0100

=== debian/control ===
Source: apertium-apy
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Kartik Mistry <kartik@debian.org>,
           Tino Didriksen <tino@didriksen.cc>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-chardet,
               python3-coverage,
               python3-lxml,
               python3-requests,
               python3-setuptools,
               python3-streamparser,
               python3-tornado,
               sqlite3
Standards-Version: 4.7.2
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-apy.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-apy
Rules-Requires-Root: no

Package: apertium-apy
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         logrotate,
         python3,
         python3-tornado,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-chardet,
            python3-fasttext,
            python3-lxml,
            python3-requests,
            python3-streamparser
Description: Apertium APY service
 This package contains Apertium APY which is simple Apertium
 API written in Python 3 meant as a drop-in replacement for
 ScaleMT.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 export LC_ALL=C.UTF-8
 
 export PYBUILD_NAME=apertium-apy
+export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto reproducible=+fixfilepath"
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 %:
 	dh $@ --buildsystem=pybuild
 
@@ -30,6 +34,3 @@
 
 override_dh_installman:
 	dh_installman apertium-apy.1
-
-override_dh_missing:
-	dh_missing --fail-missing
